
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80003250')]      |
| SIG_REGION                | [('0x80005010', '0x800054c0', '150 dwords')]      |
| COV_LABELS                | cbnez      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cbnez-01.S/cbnez-01.S    |
| Total Number of coverpoints| 170     |
| Total Coverpoints Hit     | 170      |
| Total Signature Updates   | 149      |
| STAT1                     | 149      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                 coverpoints                                                                  |                                                              code                                                              |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------|
|   1|[0x80005010]<br>0xFF76DF56FF76DF57|- opcode : c.bnez<br> - rs1 : x12<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val < 0 and imm_val < 0<br> - rs1_val == -9223372036854775808<br> |[0x80000426]:c.bnez a2, 192<br> [0x800003a6]:addi sp, sp, 1<br> [0x800003aa]:jal zero, 136<br> [0x80000432]:sd sp, 0(ra)<br>    |
|   2|[0x80005018]<br>0xFF76DF56FF76DF59|- rs1 : x14<br> - rs1_val == 0<br> - rs1_val == 0 and imm_val > 0<br> - rs1_val==0<br>                                                        |[0x80000448]:c.bnez a4, 9<br> [0x8000044a]:addi sp, sp, 2<br> [0x8000044e]:jal zero, 14<br> [0x8000045c]:sd sp, 8(ra)<br>       |
|   3|[0x80005020]<br>0xFF76DF56FF76DF5A|- rs1 : x13<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val > 0 and imm_val < 0<br> - rs1_val == 9223372036854775807<br>                       |[0x8000047a]:c.bnez a3, 252<br> [0x80000472]:addi sp, sp, 1<br> [0x80000476]:jal zero, 16<br> [0x80000486]:sd sp, 16(ra)<br>    |
|   4|[0x80005028]<br>0xFF76DF56FF76DF5B|- rs1 : x15<br> - rs1_val == 1<br>                                                                                                            |[0x8000049e]:c.bnez a5, 251<br> [0x80000494]:addi sp, sp, 1<br> [0x80000498]:jal zero, 18<br> [0x800004aa]:sd sp, 24(ra)<br>    |
|   5|[0x80005030]<br>0xFF76DF56FF76DF5E|- rs1 : x10<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val == 2305843009213693952<br>                                                        |[0x800004c4]:c.bnez a0, 64<br> [0x80000544]:c.addi sp, 3<br> [0x80000546]:sd sp, 32(ra)<br>                                     |
|   6|[0x80005038]<br>0xFF76DF56FF76DF61|- rs1 : x8<br> - rs1_val < 0 and imm_val > 0<br> - rs1_val == -8193<br>                                                                       |[0x80000560]:c.bnez s0, 16<br> [0x80000580]:c.addi sp, 3<br> [0x80000582]:sd sp, 40(ra)<br>                                     |
|   7|[0x80005040]<br>0xFF76DF56FF76DF63|- rs1 : x11<br> - rs1_val == 0 and imm_val < 0<br>                                                                                            |[0x800005b2]:c.bnez a1, 239<br> [0x800005b4]:addi sp, sp, 2<br> [0x800005b8]:jal zero, 6<br> [0x800005be]:sd sp, 48(ra)<br>     |
|   8|[0x80005048]<br>0xFF76DF56FF76DF66|- rs1 : x9<br> - rs1_val == 2<br> - rs1_val==2<br>                                                                                            |[0x800005d4]:c.bnez s1, 16<br> [0x800005f4]:c.addi sp, 3<br> [0x800005f6]:sd sp, 56(ra)<br>                                     |
|   9|[0x80005050]<br>0xFF76DF56FF76DF67|- rs1_val == 4<br> - rs1_val==4<br>                                                                                                           |[0x80000686]:c.bnez a0, 191<br> [0x80000604]:addi sp, sp, 1<br> [0x80000608]:jal zero, 138<br> [0x80000692]:sd sp, 64(ra)<br>   |
|  10|[0x80005058]<br>0xFF76DF56FF76DF68|- rs1_val == 8<br>                                                                                                                            |[0x800006b4]:c.bnez a0, 246<br> [0x800006a0]:addi sp, sp, 1<br> [0x800006a4]:jal zero, 28<br> [0x800006c0]:sd sp, 72(ra)<br>    |
|  11|[0x80005060]<br>0xFF76DF56FF76DF69|- rs1_val == 16<br>                                                                                                                           |[0x800006dc]:c.bnez a0, 249<br> [0x800006ce]:addi sp, sp, 1<br> [0x800006d2]:jal zero, 22<br> [0x800006e8]:sd sp, 80(ra)<br>    |
|  12|[0x80005068]<br>0xFF76DF56FF76DF6A|- rs1_val == 32<br>                                                                                                                           |[0x80000776]:c.bnez a0, 192<br> [0x800006f6]:addi sp, sp, 1<br> [0x800006fa]:jal zero, 136<br> [0x80000782]:sd sp, 88(ra)<br>   |
|  13|[0x80005070]<br>0xFF76DF56FF76DF6D|- rs1_val == 64<br>                                                                                                                           |[0x80000798]:c.bnez a0, 5<br> [0x800007a2]:c.addi sp, 3<br> [0x800007a4]:sd sp, 96(ra)<br>                                      |
|  14|[0x80005078]<br>0xFF76DF56FF76DF70|- rs1_val == 128<br>                                                                                                                          |[0x800007ba]:c.bnez a0, 64<br> [0x8000083a]:c.addi sp, 3<br> [0x8000083c]:sd sp, 104(ra)<br>                                    |
|  15|[0x80005080]<br>0xFF76DF56FF76DF73|- rs1_val == 256<br>                                                                                                                          |[0x80000852]:c.bnez a0, 5<br> [0x8000085c]:c.addi sp, 3<br> [0x8000085e]:sd sp, 112(ra)<br>                                     |
|  16|[0x80005088]<br>0xFF76DF56FF76DF76|- rs1_val == 512<br>                                                                                                                          |[0x80000874]:c.bnez a0, 16<br> [0x80000894]:c.addi sp, 3<br> [0x80000896]:sd sp, 120(ra)<br>                                    |
|  17|[0x80005090]<br>0xFF76DF56FF76DF77|- rs1_val == 1024<br>                                                                                                                         |[0x800008e6]:c.bnez a0, 223<br> [0x800008a4]:addi sp, sp, 1<br> [0x800008a8]:jal zero, 74<br> [0x800008f2]:sd sp, 128(ra)<br>   |
|  18|[0x80005098]<br>0xFF76DF56FF76DF78|- rs1_val == 2048<br>                                                                                                                         |[0x800009b0]:c.bnez a0, 170<br> [0x80000904]:addi sp, sp, 1<br> [0x80000908]:jal zero, 180<br> [0x800009bc]:sd sp, 136(ra)<br>  |
|  19|[0x800050a0]<br>0xFF76DF56FF76DF79|- rs1_val == 4096<br>                                                                                                                         |[0x80000a4c]:c.bnez a0, 191<br> [0x800009ca]:addi sp, sp, 1<br> [0x800009ce]:jal zero, 138<br> [0x80000a58]:sd sp, 144(ra)<br>  |
|  20|[0x800050a8]<br>0xFF76DF56FF76DF7C|- rs1_val == 8192<br>                                                                                                                         |[0x80000a6e]:c.bnez a0, 8<br> [0x80000a7e]:c.addi sp, 3<br> [0x80000a80]:sd sp, 152(ra)<br>                                     |
|  21|[0x800050b0]<br>0xFF76DF56FF76DF7F|- rs1_val == 16384<br>                                                                                                                        |[0x80000a96]:c.bnez a0, 85<br> [0x80000b40]:c.addi sp, 3<br> [0x80000b42]:sd sp, 160(ra)<br>                                    |
|  22|[0x800050b8]<br>0xFF76DF56FF76DF82|- rs1_val == 32768<br>                                                                                                                        |[0x80000b58]:c.bnez a0, 5<br> [0x80000b62]:c.addi sp, 3<br> [0x80000b64]:sd sp, 168(ra)<br>                                     |
|  23|[0x800050c0]<br>0xFF76DF56FF76DF83|- rs1_val == 65536<br>                                                                                                                        |[0x80000bf2]:c.bnez a0, 192<br> [0x80000b72]:addi sp, sp, 1<br> [0x80000b76]:jal zero, 136<br> [0x80000bfe]:sd sp, 176(ra)<br>  |
|  24|[0x800050c8]<br>0xFF76DF56FF76DF86|- rs1_val == 131072<br>                                                                                                                       |[0x80000c14]:c.bnez a0, 8<br> [0x80000c24]:c.addi sp, 3<br> [0x80000c26]:sd sp, 184(ra)<br>                                     |
|  25|[0x800050d0]<br>0xFF76DF56FF76DF87|- rs1_val == 262144<br>                                                                                                                       |[0x80000c56]:c.bnez a0, 239<br> [0x80000c34]:addi sp, sp, 1<br> [0x80000c38]:jal zero, 42<br> [0x80000c62]:sd sp, 192(ra)<br>   |
|  26|[0x800050d8]<br>0xFF76DF56FF76DF88|- rs1_val == 524288<br>                                                                                                                       |[0x80000c80]:c.bnez a0, 248<br> [0x80000c70]:addi sp, sp, 1<br> [0x80000c74]:jal zero, 24<br> [0x80000c8c]:sd sp, 200(ra)<br>   |
|  27|[0x800050e0]<br>0xFF76DF56FF76DF8B|- rs1_val == 1048576<br>                                                                                                                      |[0x80000ca2]:c.bnez a0, 63<br> [0x80000d20]:c.addi sp, 3<br> [0x80000d22]:sd sp, 208(ra)<br>                                    |
|  28|[0x800050e8]<br>0xFF76DF56FF76DF8C|- rs1_val == 2097152<br>                                                                                                                      |[0x80000d38]:c.bnez a0, 252<br> [0x80000d30]:addi sp, sp, 1<br> [0x80000d34]:jal zero, 16<br> [0x80000d44]:sd sp, 216(ra)<br>   |
|  29|[0x800050f0]<br>0xFF76DF56FF76DF8F|- rs1_val == 4194304<br>                                                                                                                      |[0x80000d5a]:c.bnez a0, 8<br> [0x80000d6a]:c.addi sp, 3<br> [0x80000d6c]:sd sp, 224(ra)<br>                                     |
|  30|[0x800050f8]<br>0xFF76DF56FF76DF92|- rs1_val == 8388608<br>                                                                                                                      |[0x80000d82]:c.bnez a0, 5<br> [0x80000d8c]:c.addi sp, 3<br> [0x80000d8e]:sd sp, 232(ra)<br>                                     |
|  31|[0x80005100]<br>0xFF76DF56FF76DF95|- rs1_val == 16777216<br>                                                                                                                     |[0x80000da4]:c.bnez a0, 63<br> [0x80000e22]:c.addi sp, 3<br> [0x80000e24]:sd sp, 240(ra)<br>                                    |
|  32|[0x80005108]<br>0xFF76DF56FF76DF96|- rs1_val == 33554432<br>                                                                                                                     |[0x80000eb4]:c.bnez a0, 191<br> [0x80000e32]:addi sp, sp, 1<br> [0x80000e36]:jal zero, 138<br> [0x80000ec0]:sd sp, 248(ra)<br>  |
|  33|[0x80005110]<br>0xFF76DF56FF76DF99|- rs1_val == 67108864<br>                                                                                                                     |[0x80000ed6]:c.bnez a0, 5<br> [0x80000ee0]:c.addi sp, 3<br> [0x80000ee2]:sd sp, 256(ra)<br>                                     |
|  34|[0x80005118]<br>0xFF76DF56FF76DF9A|- rs1_val == 134217728<br>                                                                                                                    |[0x80000f02]:c.bnez a0, 247<br> [0x80000ef0]:addi sp, sp, 1<br> [0x80000ef4]:jal zero, 26<br> [0x80000f0e]:sd sp, 264(ra)<br>   |
|  35|[0x80005120]<br>0xFF76DF56FF76DF9B|- rs1_val == 268435456<br>                                                                                                                    |[0x80000f24]:c.bnez a0, 252<br> [0x80000f1c]:addi sp, sp, 1<br> [0x80000f20]:jal zero, 16<br> [0x80000f30]:sd sp, 272(ra)<br>   |
|  36|[0x80005128]<br>0xFF76DF56FF76DF9C|- rs1_val == 536870912<br>                                                                                                                    |[0x80000f4c]:c.bnez a0, 249<br> [0x80000f3e]:addi sp, sp, 1<br> [0x80000f42]:jal zero, 22<br> [0x80000f58]:sd sp, 280(ra)<br>   |
|  37|[0x80005130]<br>0xFF76DF56FF76DF9D|- rs1_val == 1073741824<br>                                                                                                                   |[0x80000f6e]:c.bnez a0, 252<br> [0x80000f66]:addi sp, sp, 1<br> [0x80000f6a]:jal zero, 16<br> [0x80000f7a]:sd sp, 288(ra)<br>   |
|  38|[0x80005138]<br>0xFF76DF56FF76DF9E|- rs1_val == 2147483648<br>                                                                                                                   |[0x80000f94]:c.bnez a0, 252<br> [0x80000f8c]:addi sp, sp, 1<br> [0x80000f90]:jal zero, 16<br> [0x80000fa0]:sd sp, 296(ra)<br>   |
|  39|[0x80005140]<br>0xFF76DF56FF76DF9F|- rs1_val == 4294967296<br>                                                                                                                   |[0x80000fbc]:c.bnez a0, 251<br> [0x80000fb2]:addi sp, sp, 1<br> [0x80000fb6]:jal zero, 18<br> [0x80000fc8]:sd sp, 304(ra)<br>   |
|  40|[0x80005148]<br>0xFF76DF56FF76DFA0|- rs1_val == 8589934592<br>                                                                                                                   |[0x80000fe6]:c.bnez a0, 250<br> [0x80000fda]:addi sp, sp, 1<br> [0x80000fde]:jal zero, 20<br> [0x80000ff2]:sd sp, 312(ra)<br>   |
|  41|[0x80005150]<br>0xFF76DF56FF76DFA1|- rs1_val == 17179869184<br>                                                                                                                  |[0x80001014]:c.bnez a0, 248<br> [0x80001004]:addi sp, sp, 1<br> [0x80001008]:jal zero, 24<br> [0x80001020]:sd sp, 320(ra)<br>   |
|  42|[0x80005158]<br>0xFF76DF56FF76DFA4|- rs1_val == 34359738368<br>                                                                                                                  |[0x8000103a]:c.bnez a0, 7<br> [0x80001048]:c.addi sp, 3<br> [0x8000104a]:sd sp, 328(ra)<br>                                     |
|  43|[0x80005160]<br>0xFF76DF56FF76DFA5|- rs1_val == 68719476736<br>                                                                                                                  |[0x8000109e]:c.bnez a0, 223<br> [0x8000105c]:addi sp, sp, 1<br> [0x80001060]:jal zero, 74<br> [0x800010aa]:sd sp, 336(ra)<br>   |
|  44|[0x80005168]<br>0xFF76DF56FF76DFA6|- rs1_val == 137438953472<br>                                                                                                                 |[0x800010ca]:c.bnez a0, 249<br> [0x800010bc]:addi sp, sp, 1<br> [0x800010c0]:jal zero, 22<br> [0x800010d6]:sd sp, 344(ra)<br>   |
|  45|[0x80005170]<br>0xFF76DF56FF76DFA9|- rs1_val == 274877906944<br>                                                                                                                 |[0x800010f0]:c.bnez a0, 5<br> [0x800010fa]:c.addi sp, 3<br> [0x800010fc]:sd sp, 352(ra)<br>                                     |
|  46|[0x80005178]<br>0xFF76DF56FF76DFAA|- rs1_val == 549755813888<br>                                                                                                                 |[0x8000111c]:c.bnez a0, 249<br> [0x8000110e]:addi sp, sp, 1<br> [0x80001112]:jal zero, 22<br> [0x80001128]:sd sp, 360(ra)<br>   |
|  47|[0x80005180]<br>0xFF76DF56FF76DFAB|- rs1_val == 1099511627776<br>                                                                                                                |[0x80001148]:c.bnez a0, 249<br> [0x8000113a]:addi sp, sp, 1<br> [0x8000113e]:jal zero, 22<br> [0x80001154]:sd sp, 368(ra)<br>   |
|  48|[0x80005188]<br>0xFF76DF56FF76DFAC|- rs1_val == 2199023255552<br>                                                                                                                |[0x800011e6]:c.bnez a0, 192<br> [0x80001166]:addi sp, sp, 1<br> [0x8000116a]:jal zero, 136<br> [0x800011f2]:sd sp, 376(ra)<br>  |
|  49|[0x80005190]<br>0xFF76DF56FF76DFAF|- rs1_val == 4398046511104<br>                                                                                                                |[0x8000120c]:c.bnez a0, 5<br> [0x80001216]:c.addi sp, 3<br> [0x80001218]:sd sp, 384(ra)<br>                                     |
|  50|[0x80005198]<br>0xFF76DF56FF76DFB2|- rs1_val == 8796093022208<br>                                                                                                                |[0x80001232]:c.bnez a0, 9<br> [0x80001244]:c.addi sp, 3<br> [0x80001246]:sd sp, 392(ra)<br>                                     |
|  51|[0x800051a0]<br>0xFF76DF56FF76DFB5|- rs1_val == 17592186044416<br>                                                                                                               |[0x80001260]:c.bnez a0, 64<br> [0x800012e0]:c.addi sp, 3<br> [0x800012e2]:sd sp, 400(ra)<br>                                    |
|  52|[0x800051a8]<br>0xFF76DF56FF76DFB6|- rs1_val == 35184372088832<br>                                                                                                               |[0x80001300]:c.bnez a0, 250<br> [0x800012f4]:addi sp, sp, 1<br> [0x800012f8]:jal zero, 20<br> [0x8000130c]:sd sp, 408(ra)<br>   |
|  53|[0x800051b0]<br>0xFF76DF56FF76DFB7|- rs1_val == 70368744177664<br>                                                                                                               |[0x8000132a]:c.bnez a0, 250<br> [0x8000131e]:addi sp, sp, 1<br> [0x80001322]:jal zero, 20<br> [0x80001336]:sd sp, 416(ra)<br>   |
|  54|[0x800051b8]<br>0xFF76DF56FF76DFB8|- rs1_val == 140737488355328<br>                                                                                                              |[0x8000135a]:c.bnez a0, 247<br> [0x80001348]:addi sp, sp, 1<br> [0x8000134c]:jal zero, 26<br> [0x80001366]:sd sp, 424(ra)<br>   |
|  55|[0x800051c0]<br>0xFF76DF56FF76DFBB|- rs1_val == 281474976710656<br>                                                                                                              |[0x80001380]:c.bnez a0, 64<br> [0x80001400]:c.addi sp, 3<br> [0x80001402]:sd sp, 432(ra)<br>                                    |
|  56|[0x800051c8]<br>0xFF76DF56FF76DFBC|- rs1_val == 562949953421312<br>                                                                                                              |[0x80001494]:c.bnez a0, 192<br> [0x80001414]:addi sp, sp, 1<br> [0x80001418]:jal zero, 136<br> [0x800014a0]:sd sp, 440(ra)<br>  |
|  57|[0x800051d0]<br>0xFF76DF56FF76DFBD|- rs1_val == 1125899906842624<br>                                                                                                             |[0x800014c6]:c.bnez a0, 246<br> [0x800014b2]:addi sp, sp, 1<br> [0x800014b6]:jal zero, 28<br> [0x800014d2]:sd sp, 448(ra)<br>   |
|  58|[0x800051d8]<br>0xFF76DF56FF76DFC0|- rs1_val == 2251799813685248<br>                                                                                                             |[0x800014ec]:c.bnez a0, 5<br> [0x800014f6]:c.addi sp, 3<br> [0x800014f8]:sd sp, 456(ra)<br>                                     |
|  59|[0x800051e0]<br>0xFF76DF56FF76DFC1|- rs1_val == 4503599627370496<br>                                                                                                             |[0x8000154c]:c.bnez a0, 223<br> [0x8000150a]:addi sp, sp, 1<br> [0x8000150e]:jal zero, 74<br> [0x80001558]:sd sp, 464(ra)<br>   |
|  60|[0x800051e8]<br>0xFF76DF56FF76DFC4|- rs1_val == 9007199254740992<br>                                                                                                             |[0x80001572]:c.bnez a0, 63<br> [0x800015f0]:c.addi sp, 3<br> [0x800015f2]:sd sp, 472(ra)<br>                                    |
|  61|[0x800051f0]<br>0xFF76DF56FF76DFC7|- rs1_val == 18014398509481984<br>                                                                                                            |[0x8000160c]:c.bnez a0, 7<br> [0x8000161a]:c.addi sp, 3<br> [0x8000161c]:sd sp, 480(ra)<br>                                     |
|  62|[0x800051f8]<br>0xFF76DF56FF76DFCA|- rs1_val == 36028797018963968<br>                                                                                                            |[0x80001636]:c.bnez a0, 85<br> [0x800016e0]:c.addi sp, 3<br> [0x800016e2]:sd sp, 488(ra)<br>                                    |
|  63|[0x80005200]<br>0xFF76DF56FF76DFCB|- rs1_val == 72057594037927936<br>                                                                                                            |[0x80001716]:c.bnez a0, 239<br> [0x800016f4]:addi sp, sp, 1<br> [0x800016f8]:jal zero, 42<br> [0x80001722]:sd sp, 496(ra)<br>   |
|  64|[0x80005208]<br>0xFF76DF56FF76DFCE|- rs1_val == 144115188075855872<br>                                                                                                           |[0x8000173c]:c.bnez a0, 5<br> [0x80001746]:c.addi sp, 3<br> [0x80001748]:sd sp, 504(ra)<br>                                     |
|  65|[0x80005210]<br>0xFF76DF56FF76DFD1|- rs1_val == 288230376151711744<br>                                                                                                           |[0x80001762]:c.bnez a0, 63<br> [0x800017e0]:c.addi sp, 3<br> [0x800017e2]:sd sp, 512(ra)<br>                                    |
|  66|[0x80005218]<br>0xFF76DF56FF76DFD4|- rs1_val == 576460752303423488<br>                                                                                                           |[0x800017fc]:c.bnez a0, 16<br> [0x8000181c]:c.addi sp, 3<br> [0x8000181e]:sd sp, 520(ra)<br>                                    |
|  67|[0x80005220]<br>0xFF76DF56FF76DFD5|- rs1_val == 1152921504606846976<br>                                                                                                          |[0x80001838]:c.bnez a0, 252<br> [0x80001830]:addi sp, sp, 1<br> [0x80001834]:jal zero, 16<br> [0x80001844]:sd sp, 528(ra)<br>   |
|  68|[0x80005228]<br>0xFF76DF56FF76DFD8|- rs1_val == 4611686018427387904<br>                                                                                                          |[0x8000185e]:c.bnez a0, 16<br> [0x8000187e]:c.addi sp, 3<br> [0x80001880]:sd sp, 536(ra)<br>                                    |
|  69|[0x80005230]<br>0xFF76DF56FF76DFD9|- rs1_val == -2<br>                                                                                                                           |[0x800018b0]:c.bnez a0, 239<br> [0x8000188e]:addi sp, sp, 1<br> [0x80001892]:jal zero, 42<br> [0x800018bc]:sd sp, 544(ra)<br>   |
|  70|[0x80005238]<br>0xFF76DF56FF76DFDC|- rs1_val == -3<br>                                                                                                                           |[0x800018d2]:c.bnez a0, 8<br> [0x800018e2]:c.addi sp, 3<br> [0x800018e4]:sd sp, 552(ra)<br>                                     |
|  71|[0x80005240]<br>0xFF76DF56FF76DFDD|- rs1_val == -5<br>                                                                                                                           |[0x80001972]:c.bnez a0, 192<br> [0x800018f2]:addi sp, sp, 1<br> [0x800018f6]:jal zero, 136<br> [0x8000197e]:sd sp, 560(ra)<br>  |
|  72|[0x80005248]<br>0xFF76DF56FF76DFDE|- rs1_val == -9<br>                                                                                                                           |[0x8000199c]:c.bnez a0, 248<br> [0x8000198c]:addi sp, sp, 1<br> [0x80001990]:jal zero, 24<br> [0x800019a8]:sd sp, 568(ra)<br>   |
|  73|[0x80005250]<br>0xFF76DF56FF76DFDF|- rs1_val == -17<br>                                                                                                                          |[0x800019c6]:c.bnez a0, 248<br> [0x800019b6]:addi sp, sp, 1<br> [0x800019ba]:jal zero, 24<br> [0x800019d2]:sd sp, 576(ra)<br>   |
|  74|[0x80005258]<br>0xFF76DF56FF76DFE0|- rs1_val == -33<br>                                                                                                                          |[0x80001a22]:c.bnez a0, 223<br> [0x800019e0]:addi sp, sp, 1<br> [0x800019e4]:jal zero, 74<br> [0x80001a2e]:sd sp, 584(ra)<br>   |
|  75|[0x80005260]<br>0xFF76DF56FF76DFE3|- rs1_val == -65<br>                                                                                                                          |[0x80001a44]:c.bnez a0, 85<br> [0x80001aee]:c.addi sp, 3<br> [0x80001af0]:sd sp, 592(ra)<br>                                    |
|  76|[0x80005268]<br>0xFF76DF56FF76DFE6|- rs1_val == -129<br>                                                                                                                         |[0x80001b06]:c.bnez a0, 5<br> [0x80001b10]:c.addi sp, 3<br> [0x80001b12]:sd sp, 600(ra)<br>                                     |
|  77|[0x80005270]<br>0xFF76DF56FF76DFE7|- rs1_val == -257<br>                                                                                                                         |[0x80001ba0]:c.bnez a0, 192<br> [0x80001b20]:addi sp, sp, 1<br> [0x80001b24]:jal zero, 136<br> [0x80001bac]:sd sp, 608(ra)<br>  |
|  78|[0x80005278]<br>0xFF76DF56FF76DFEA|- rs1_val == -513<br>                                                                                                                         |[0x80001bc2]:c.bnez a0, 63<br> [0x80001c40]:c.addi sp, 3<br> [0x80001c42]:sd sp, 616(ra)<br>                                    |
|  79|[0x80005280]<br>0xFF76DF56FF76DFED|- rs1_val == -1025<br>                                                                                                                        |[0x80001c58]:c.bnez a0, 5<br> [0x80001c62]:c.addi sp, 3<br> [0x80001c64]:sd sp, 624(ra)<br>                                     |
|  80|[0x80005288]<br>0xFF76DF56FF76DFF0|- rs1_val == -2049<br>                                                                                                                        |[0x80001c7e]:c.bnez a0, 85<br> [0x80001d28]:c.addi sp, 3<br> [0x80001d2a]:sd sp, 632(ra)<br>                                    |
|  81|[0x80005290]<br>0xFF76DF56FF76DFF3|- rs1_val == -4097<br>                                                                                                                        |[0x80001d44]:c.bnez a0, 5<br> [0x80001d4e]:c.addi sp, 3<br> [0x80001d50]:sd sp, 640(ra)<br>                                     |
|  82|[0x80005298]<br>0xFF76DF56FF76DFF4|- rs1_val == -16385<br>                                                                                                                       |[0x80001d84]:c.bnez a0, 239<br> [0x80001d62]:addi sp, sp, 1<br> [0x80001d66]:jal zero, 42<br> [0x80001d90]:sd sp, 648(ra)<br>   |
|  83|[0x800052a0]<br>0xFF76DF56FF76DFF7|- rs1_val == -32769<br>                                                                                                                       |[0x80001daa]:c.bnez a0, 6<br> [0x80001db6]:c.addi sp, 3<br> [0x80001db8]:sd sp, 656(ra)<br>                                     |
|  84|[0x800052a8]<br>0xFF76DF56FF76DFF8|- rs1_val == -65537<br>                                                                                                                       |[0x80001dd4]:c.bnez a0, 251<br> [0x80001dca]:addi sp, sp, 1<br> [0x80001dce]:jal zero, 18<br> [0x80001de0]:sd sp, 664(ra)<br>   |
|  85|[0x800052b0]<br>0xFF76DF56FF76DFFB|- rs1_val == -131073<br>                                                                                                                      |[0x80001dfa]:c.bnez a0, 85<br> [0x80001ea4]:c.addi sp, 3<br> [0x80001ea6]:sd sp, 672(ra)<br>                                    |
|  86|[0x800052b8]<br>0xFF76DF56FF76DFFC|- rs1_val == -262145<br>                                                                                                                      |[0x80001eca]:c.bnez a0, 247<br> [0x80001eb8]:addi sp, sp, 1<br> [0x80001ebc]:jal zero, 26<br> [0x80001ed6]:sd sp, 680(ra)<br>   |
|  87|[0x800052c0]<br>0xFF76DF56FF76DFFF|- rs1_val == -524289<br>                                                                                                                      |[0x80001ef0]:c.bnez a0, 5<br> [0x80001efa]:c.addi sp, 3<br> [0x80001efc]:sd sp, 688(ra)<br>                                     |
|  88|[0x800052c8]<br>0xFF76DF56FF76E000|- rs1_val == -1048577<br>                                                                                                                     |[0x80001f1a]:c.bnez a0, 250<br> [0x80001f0e]:addi sp, sp, 1<br> [0x80001f12]:jal zero, 20<br> [0x80001f26]:sd sp, 696(ra)<br>   |
|  89|[0x800052d0]<br>0xFF76DF56FF76E001|- rs1_val == -36028797018963969<br>                                                                                                           |[0x80001fbc]:c.bnez a0, 192<br> [0x80001f3c]:addi sp, sp, 1<br> [0x80001f40]:jal zero, 136<br> [0x80001fc8]:sd sp, 704(ra)<br>  |
|  90|[0x800052d8]<br>0xFF76DF56FF76E002|- rs1_val == -72057594037927937<br>                                                                                                           |[0x80001fe6]:c.bnez a0, 252<br> [0x80001fde]:addi sp, sp, 1<br> [0x80001fe2]:jal zero, 16<br> [0x80001ff2]:sd sp, 712(ra)<br>   |
|  91|[0x800052e0]<br>0xFF76DF56FF76E003|- rs1_val == -144115188075855873<br>                                                                                                          |[0x8000208a]:c.bnez a0, 191<br> [0x80002008]:addi sp, sp, 1<br> [0x8000200c]:jal zero, 138<br> [0x80002096]:sd sp, 720(ra)<br>  |
|  92|[0x800052e8]<br>0xFF76DF56FF76E004|- rs1_val == -288230376151711745<br>                                                                                                          |[0x80002158]:c.bnez a0, 170<br> [0x800020ac]:addi sp, sp, 1<br> [0x800020b0]:jal zero, 180<br> [0x80002164]:sd sp, 728(ra)<br>  |
|  93|[0x800052f0]<br>0xFF76DF56FF76E005|- rs1_val == -576460752303423489<br>                                                                                                          |[0x8000218e]:c.bnez a0, 246<br> [0x8000217a]:addi sp, sp, 1<br> [0x8000217e]:jal zero, 28<br> [0x8000219a]:sd sp, 736(ra)<br>   |
|  94|[0x800052f8]<br>0xFF76DF56FF76E006|- rs1_val == -1152921504606846977<br>                                                                                                         |[0x800021d2]:c.bnez a0, 239<br> [0x800021b0]:addi sp, sp, 1<br> [0x800021b4]:jal zero, 42<br> [0x800021de]:sd sp, 744(ra)<br>   |
|  95|[0x80005300]<br>0xFF76DF56FF76E009|- rs1_val == -2305843009213693953<br>                                                                                                         |[0x800021fc]:c.bnez a0, 5<br> [0x80002206]:c.addi sp, 3<br> [0x80002208]:sd sp, 752(ra)<br>                                     |
|  96|[0x80005308]<br>0xFF76DF56FF76E00A|- rs1_val == -4611686018427387905<br>                                                                                                         |[0x80002228]:c.bnez a0, 251<br> [0x8000221e]:addi sp, sp, 1<br> [0x80002222]:jal zero, 18<br> [0x80002234]:sd sp, 760(ra)<br>   |
|  97|[0x80005310]<br>0xFF76DF56FF76E00B|- rs1_val == 6148914691236517205<br> - rs1_val==6148914691236517205<br>                                                                       |[0x80002266]:c.bnez a0, 252<br> [0x8000225e]:addi sp, sp, 1<br> [0x80002262]:jal zero, 16<br> [0x80002272]:sd sp, 768(ra)<br>   |
|  98|[0x80005318]<br>0xFF76DF56FF76E00C|- rs1_val == -6148914691236517206<br> - rs1_val==-6148914691236517206<br>                                                                     |[0x800022a4]:c.bnez a0, 252<br> [0x8000229c]:addi sp, sp, 1<br> [0x800022a0]:jal zero, 16<br> [0x800022b0]:sd sp, 776(ra)<br>   |
|  99|[0x80005320]<br>0xFF76DF56FF76E00D|- rs1_val==3<br>                                                                                                                              |[0x800022c8]:c.bnez a0, 251<br> [0x800022be]:addi sp, sp, 1<br> [0x800022c2]:jal zero, 18<br> [0x800022d4]:sd sp, 784(ra)<br>   |
| 100|[0x80005328]<br>0xFF76DF56FF76E00E|- rs1_val==5<br>                                                                                                                              |[0x800022ec]:c.bnez a0, 251<br> [0x800022e2]:addi sp, sp, 1<br> [0x800022e6]:jal zero, 18<br> [0x800022f8]:sd sp, 792(ra)<br>   |
| 101|[0x80005330]<br>0xFF76DF56FF76E00F|- rs1_val==3689348814741910323<br>                                                                                                            |[0x80002332]:c.bnez a0, 248<br> [0x80002322]:addi sp, sp, 1<br> [0x80002326]:jal zero, 24<br> [0x8000233e]:sd sp, 800(ra)<br>   |
| 102|[0x80005338]<br>0xFF76DF56FF76E010|- rs1_val==7378697629483820646<br>                                                                                                            |[0x800023e8]:c.bnez a0, 192<br> [0x80002368]:addi sp, sp, 1<br> [0x8000236c]:jal zero, 136<br> [0x800023f4]:sd sp, 808(ra)<br>  |
| 103|[0x80005340]<br>0xFF76DF56FF76E013|- rs1_val==-3037000499<br>                                                                                                                    |[0x80002416]:c.bnez a0, 64<br> [0x80002496]:c.addi sp, 3<br> [0x80002498]:sd sp, 816(ra)<br>                                    |
| 104|[0x80005348]<br>0xFF76DF56FF76E014|- rs1_val==3037000499<br>                                                                                                                     |[0x800024c6]:c.bnez a0, 246<br> [0x800024b2]:addi sp, sp, 1<br> [0x800024b6]:jal zero, 28<br> [0x800024d2]:sd sp, 824(ra)<br>   |
| 105|[0x80005350]<br>0xFF76DF56FF76E017|- rs1_val==6148914691236517204<br>                                                                                                            |[0x80002504]:c.bnez a0, 5<br> [0x8000250e]:c.addi sp, 3<br> [0x80002510]:sd sp, 832(ra)<br>                                     |
| 106|[0x80005358]<br>0xFF76DF56FF76E018|- rs1_val==3689348814741910322<br>                                                                                                            |[0x800025ba]:c.bnez a0, 192<br> [0x8000253a]:addi sp, sp, 1<br> [0x8000253e]:jal zero, 136<br> [0x800025c6]:sd sp, 840(ra)<br>  |
| 107|[0x80005360]<br>0xFF76DF56FF76E01B|- rs1_val==7378697629483820645<br>                                                                                                            |[0x800025f8]:c.bnez a0, 5<br> [0x80002602]:c.addi sp, 3<br> [0x80002604]:sd sp, 848(ra)<br>                                     |
| 108|[0x80005368]<br>0xFF76DF56FF76E01C|- rs1_val==3037000498<br>                                                                                                                     |[0x80002626]:c.bnez a0, 252<br> [0x8000261e]:addi sp, sp, 1<br> [0x80002622]:jal zero, 16<br> [0x80002632]:sd sp, 856(ra)<br>   |
| 109|[0x80005370]<br>0xFF76DF56FF76E01F|- rs1_val==6148914691236517206<br>                                                                                                            |[0x80002664]:c.bnez a0, 7<br> [0x80002672]:c.addi sp, 3<br> [0x80002674]:sd sp, 864(ra)<br>                                     |
| 110|[0x80005378]<br>0xFF76DF56FF76E020|- rs1_val==-6148914691236517205<br>                                                                                                           |[0x800026a8]:c.bnez a0, 251<br> [0x8000269e]:addi sp, sp, 1<br> [0x800026a2]:jal zero, 18<br> [0x800026b4]:sd sp, 872(ra)<br>   |
| 111|[0x80005380]<br>0xFF76DF56FF76E021|- rs1_val==6<br>                                                                                                                              |[0x800026ca]:c.bnez a0, 252<br> [0x800026c2]:addi sp, sp, 1<br> [0x800026c6]:jal zero, 16<br> [0x800026d6]:sd sp, 880(ra)<br>   |
| 112|[0x80005388]<br>0xFF76DF56FF76E022|- rs1_val==3689348814741910324<br>                                                                                                            |[0x80002714]:c.bnez a0, 246<br> [0x80002700]:addi sp, sp, 1<br> [0x80002704]:jal zero, 28<br> [0x80002720]:sd sp, 888(ra)<br>   |
| 113|[0x80005390]<br>0xFF76DF56FF76E023|- rs1_val==7378697629483820647<br>                                                                                                            |[0x80002756]:c.bnez a0, 250<br> [0x8000274a]:addi sp, sp, 1<br> [0x8000274e]:jal zero, 20<br> [0x80002762]:sd sp, 896(ra)<br>   |
| 114|[0x80005398]<br>0xFF76DF56FF76E026|- rs1_val==-3037000498<br>                                                                                                                    |[0x80002784]:c.bnez a0, 5<br> [0x8000278e]:c.addi sp, 3<br> [0x80002790]:sd sp, 904(ra)<br>                                     |
| 115|[0x800053a0]<br>0xFF76DF56FF76E029|- rs1_val==3037000500<br>                                                                                                                     |[0x800027b2]:c.bnez a0, 63<br> [0x80002830]:c.addi sp, 3<br> [0x80002832]:sd sp, 912(ra)<br>                                    |
| 116|[0x800053a8]<br>0xFF76DF56FF76E02A|- rs1_val == -2097153<br>                                                                                                                     |[0x80002852]:c.bnez a0, 249<br> [0x80002844]:addi sp, sp, 1<br> [0x80002848]:jal zero, 22<br> [0x8000285e]:sd sp, 920(ra)<br>   |
| 117|[0x800053b0]<br>0xFF76DF56FF76E02D|- rs1_val == -4194305<br>                                                                                                                     |[0x80002878]:c.bnez a0, 85<br> [0x80002922]:c.addi sp, 3<br> [0x80002924]:sd sp, 928(ra)<br>                                    |
| 118|[0x800053b8]<br>0xFF76DF56FF76E02E|- rs1_val == -8388609<br>                                                                                                                     |[0x80002946]:c.bnez a0, 248<br> [0x80002936]:addi sp, sp, 1<br> [0x8000293a]:jal zero, 24<br> [0x80002952]:sd sp, 936(ra)<br>   |
| 119|[0x800053c0]<br>0xFF76DF56FF76E02F|- rs1_val == -16777217<br>                                                                                                                    |[0x80002970]:c.bnez a0, 250<br> [0x80002964]:addi sp, sp, 1<br> [0x80002968]:jal zero, 20<br> [0x8000297c]:sd sp, 944(ra)<br>   |
| 120|[0x800053c8]<br>0xFF76DF56FF76E032|- rs1_val == -33554433<br>                                                                                                                    |[0x80002996]:c.bnez a0, 5<br> [0x800029a0]:c.addi sp, 3<br> [0x800029a2]:sd sp, 952(ra)<br>                                     |
| 121|[0x800053d0]<br>0xFF76DF56FF76E035|- rs1_val == -67108865<br>                                                                                                                    |[0x800029bc]:c.bnez a0, 5<br> [0x800029c6]:c.addi sp, 3<br> [0x800029c8]:sd sp, 960(ra)<br>                                     |
| 122|[0x800053d8]<br>0xFF76DF56FF76E036|- rs1_val == -134217729<br>                                                                                                                   |[0x800029fc]:c.bnez a0, 239<br> [0x800029da]:addi sp, sp, 1<br> [0x800029de]:jal zero, 42<br> [0x80002a08]:sd sp, 968(ra)<br>   |
| 123|[0x800053e0]<br>0xFF76DF56FF76E037|- rs1_val == -268435457<br>                                                                                                                   |[0x80002a22]:c.bnez a0, 252<br> [0x80002a1a]:addi sp, sp, 1<br> [0x80002a1e]:jal zero, 16<br> [0x80002a2e]:sd sp, 976(ra)<br>   |
| 124|[0x800053e8]<br>0xFF76DF56FF76E038|- rs1_val == -536870913<br>                                                                                                                   |[0x80002a50]:c.bnez a0, 248<br> [0x80002a40]:addi sp, sp, 1<br> [0x80002a44]:jal zero, 24<br> [0x80002a5c]:sd sp, 984(ra)<br>   |
| 125|[0x800053f0]<br>0xFF76DF56FF76E03B|- rs1_val == -1073741825<br>                                                                                                                  |[0x80002a76]:c.bnez a0, 32<br> [0x80002ab6]:c.addi sp, 3<br> [0x80002ab8]:sd sp, 992(ra)<br>                                    |
| 126|[0x800053f8]<br>0xFF76DF56FF76E03C|- rs1_val == -2147483649<br>                                                                                                                  |[0x80002b10]:c.bnez a0, 223<br> [0x80002ace]:addi sp, sp, 1<br> [0x80002ad2]:jal zero, 74<br> [0x80002b1c]:sd sp, 1000(ra)<br>  |
| 127|[0x80005400]<br>0xFF76DF56FF76E03F|- rs1_val == -4294967297<br>                                                                                                                  |[0x80002b3a]:c.bnez a0, 5<br> [0x80002b44]:c.addi sp, 3<br> [0x80002b46]:sd sp, 1008(ra)<br>                                    |
| 128|[0x80005408]<br>0xFF76DF56FF76E042|- rs1_val == -8589934593<br>                                                                                                                  |[0x80002b64]:c.bnez a0, 9<br> [0x80002b76]:c.addi sp, 3<br> [0x80002b78]:sd sp, 1016(ra)<br>                                    |
| 129|[0x80005410]<br>0xFF76DF56FF76E045|- rs1_val == -17179869185<br>                                                                                                                 |[0x80002b96]:c.bnez a0, 5<br> [0x80002ba0]:c.addi sp, 3<br> [0x80002ba2]:sd sp, 1024(ra)<br>                                    |
| 130|[0x80005418]<br>0xFF76DF56FF76E046|- rs1_val == -34359738369<br>                                                                                                                 |[0x80002bcc]:c.bnez a0, 246<br> [0x80002bb8]:addi sp, sp, 1<br> [0x80002bbc]:jal zero, 28<br> [0x80002bd8]:sd sp, 1032(ra)<br>  |
| 131|[0x80005420]<br>0xFF76DF56FF76E047|- rs1_val == -68719476737<br>                                                                                                                 |[0x80002c30]:c.bnez a0, 223<br> [0x80002bee]:addi sp, sp, 1<br> [0x80002bf2]:jal zero, 74<br> [0x80002c3c]:sd sp, 1040(ra)<br>  |
| 132|[0x80005428]<br>0xFF76DF56FF76E04A|- rs1_val == -137438953473<br>                                                                                                                |[0x80002c5a]:c.bnez a0, 63<br> [0x80002cd8]:c.addi sp, 3<br> [0x80002cda]:sd sp, 1048(ra)<br>                                   |
| 133|[0x80005430]<br>0xFF76DF56FF76E04D|- rs1_val == -274877906945<br>                                                                                                                |[0x80002cf8]:c.bnez a0, 5<br> [0x80002d02]:c.addi sp, 3<br> [0x80002d04]:sd sp, 1056(ra)<br>                                    |
| 134|[0x80005438]<br>0xFF76DF56FF76E04E|- rs1_val == -549755813889<br>                                                                                                                |[0x80002d2c]:c.bnez a0, 247<br> [0x80002d1a]:addi sp, sp, 1<br> [0x80002d1e]:jal zero, 26<br> [0x80002d38]:sd sp, 1064(ra)<br>  |
| 135|[0x80005440]<br>0xFF76DF56FF76E051|- rs1_val == -1099511627777<br>                                                                                                               |[0x80002d56]:c.bnez a0, 63<br> [0x80002dd4]:c.addi sp, 3<br> [0x80002dd6]:sd sp, 1072(ra)<br>                                   |
| 136|[0x80005448]<br>0xFF76DF56FF76E054|- rs1_val == -2199023255553<br>                                                                                                               |[0x80002df4]:c.bnez a0, 5<br> [0x80002dfe]:c.addi sp, 3<br> [0x80002e00]:sd sp, 1080(ra)<br>                                    |
| 137|[0x80005450]<br>0xFF76DF56FF76E057|- rs1_val == -4398046511105<br>                                                                                                               |[0x80002e1e]:c.bnez a0, 8<br> [0x80002e2e]:c.addi sp, 3<br> [0x80002e30]:sd sp, 1088(ra)<br>                                    |
| 138|[0x80005458]<br>0xFF76DF56FF76E05A|- rs1_val == -8796093022209<br>                                                                                                               |[0x80002e4e]:c.bnez a0, 32<br> [0x80002e8e]:c.addi sp, 3<br> [0x80002e90]:sd sp, 1096(ra)<br>                                   |
| 139|[0x80005460]<br>0xFF76DF56FF76E05B|- rs1_val == -17592186044417<br>                                                                                                              |[0x80002eb6]:c.bnez a0, 248<br> [0x80002ea6]:addi sp, sp, 1<br> [0x80002eaa]:jal zero, 24<br> [0x80002ec2]:sd sp, 1104(ra)<br>  |
| 140|[0x80005468]<br>0xFF76DF56FF76E05E|- rs1_val == -35184372088833<br>                                                                                                              |[0x80002ee0]:c.bnez a0, 5<br> [0x80002eea]:c.addi sp, 3<br> [0x80002eec]:sd sp, 1112(ra)<br>                                    |
| 141|[0x80005470]<br>0xFF76DF56FF76E05F|- rs1_val == -70368744177665<br>                                                                                                              |[0x80002f44]:c.bnez a0, 223<br> [0x80002f02]:addi sp, sp, 1<br> [0x80002f06]:jal zero, 74<br> [0x80002f50]:sd sp, 1120(ra)<br>  |
| 142|[0x80005478]<br>0xFF76DF56FF76E060|- rs1_val == -140737488355329<br>                                                                                                             |[0x80002f72]:c.bnez a0, 250<br> [0x80002f66]:addi sp, sp, 1<br> [0x80002f6a]:jal zero, 20<br> [0x80002f7e]:sd sp, 1128(ra)<br>  |
| 143|[0x80005480]<br>0xFF76DF56FF76E061|- rs1_val == -281474976710657<br>                                                                                                             |[0x80003040]:c.bnez a0, 170<br> [0x80002f94]:addi sp, sp, 1<br> [0x80002f98]:jal zero, 180<br> [0x8000304c]:sd sp, 1136(ra)<br> |
| 144|[0x80005488]<br>0xFF76DF56FF76E064|- rs1_val == -562949953421313<br>                                                                                                             |[0x8000306a]:c.bnez a0, 63<br> [0x800030e8]:c.addi sp, 3<br> [0x800030ea]:sd sp, 1144(ra)<br>                                   |
| 145|[0x80005490]<br>0xFF76DF56FF76E065|- rs1_val == -1125899906842625<br>                                                                                                            |[0x80003182]:c.bnez a0, 191<br> [0x80003100]:addi sp, sp, 1<br> [0x80003104]:jal zero, 138<br> [0x8000318e]:sd sp, 1152(ra)<br> |
| 146|[0x80005498]<br>0xFF76DF56FF76E068|- rs1_val == -2251799813685249<br>                                                                                                            |[0x800031ac]:c.bnez a0, 5<br> [0x800031b6]:c.addi sp, 3<br> [0x800031b8]:sd sp, 1160(ra)<br>                                    |
| 147|[0x800054a0]<br>0xFF76DF56FF76E06B|- rs1_val == -4503599627370497<br>                                                                                                            |[0x800031d6]:c.bnez a0, 9<br> [0x800031e8]:c.addi sp, 3<br> [0x800031ea]:sd sp, 1168(ra)<br>                                    |
| 148|[0x800054a8]<br>0xFF76DF56FF76E06E|- rs1_val == -9007199254740993<br>                                                                                                            |[0x80003208]:c.bnez a0, 5<br> [0x80003212]:c.addi sp, 3<br> [0x80003214]:sd sp, 1176(ra)<br>                                    |
| 149|[0x800054b0]<br>0xFF76DF56FF76E071|- rs1_val == -18014398509481985<br>                                                                                                           |[0x80003232]:c.bnez a0, 5<br> [0x8000323c]:c.addi sp, 3<br> [0x8000323e]:sd sp, 1184(ra)<br>                                    |
