
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80001c00')]      |
| SIG_REGION                | [('0x80003010', '0x800036f0', '220 dwords')]      |
| COV_LABELS                | aes64ks2      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/aes64ks2-01.S/ref.S    |
| Total Number of coverpoints| 384     |
| Total Coverpoints Hit     | 378      |
| Total Signature Updates   | 220      |
| STAT1                     | 213      |
| STAT2                     | 7      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000ab4]:aes64ks2
      [0x80000ab8]:sd
 -- Signature Address: 0x80003240 Data: 0xfdfffbff02000000
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs2_val == 18446739675663040511
      - rs1_val == 18302628885633695743




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000c5c]:aes64ks2
      [0x80000c60]:sd
 -- Signature Address: 0x800032b8 Data: 0x3fffff7fffffff7f
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val == 18446743523953737727




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000cdc]:aes64ks2
      [0x80000ce0]:sd
 -- Signature Address: 0x800032e0 Data: 0xfffffff9fffffff9
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val == 18446744071562067967




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x8000141c]:aes64ks2
      [0x80001420]:sd
 -- Signature Address: 0x80003418 Data: 0xfeffffffffffffff
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val == 18446744073709551103
      - rs2_val == 72057594037927936




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80001490]:aes64ks2
      [0x80001494]:sd
 -- Signature Address: 0x80003448 Data: 0xffffbfffffffffff
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val == 18446744073709551611
      - rs2_val == 70368744177664




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80001be0]:aes64ks2
      [0x80001be4]:sd
 -- Signature Address: 0x800036e0 Data: 0x00020000ffffffff
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs2_val == 18446181123756130303
      - rs1_val == 16384




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80001bf8]:aes64ks2
      [0x80001bfc]:sd
 -- Signature Address: 0x800036e8 Data: 0xffffffef00000000
 -- Redundant Coverpoints hit by the op
      - opcode : aes64ks2
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs2_val == 18446744004990074879






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                coverpoints                                                                |                     code                     |
|---:|----------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------|
|   1|[0x80003010]<br>0x254a949350e93920|- opcode : aes64ks2<br> - rs1 : x8<br> - rs2 : x8<br> - rd : x13<br> - rs1 == rs2 != rd<br>                                                |[0x800003d8]:aes64ks2<br> [0x800003dc]:sd<br> |
|   2|[0x80003018]<br>0x0000000d0000000d|- rs1 : x28<br> - rs2 : x28<br> - rd : x28<br> - rs1 == rs2 == rd<br>                                                                      |[0x800003e8]:aes64ks2<br> [0x800003ec]:sd<br> |
|   3|[0x80003020]<br>0xffffffffffffffff|- rs1 : x4<br> - rs2 : x0<br> - rd : x24<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs1_val == 18446744073709551611<br>           |[0x800003f8]:aes64ks2<br> [0x800003fc]:sd<br> |
|   4|[0x80003028]<br>0x20010000fffeffff|- rs1 : x6<br> - rs2 : x22<br> - rd : x6<br> - rs1 == rd != rs2<br> - rs2_val == 16140901064495857663<br> - rs1_val == 281474976710656<br> |[0x80000414]:aes64ks2<br> [0x80000418]:sd<br> |
|   5|[0x80003030]<br>0x10000000ffffffff|- rs1 : x10<br> - rs2 : x9<br> - rd : x9<br> - rs2 == rd != rs1<br> - rs2_val == 17293822569102704639<br> - rs1_val == 16384<br>           |[0x8000042c]:aes64ks2<br> [0x80000430]:sd<br> |
|   6|[0x80003038]<br>0x08000000ffffffff|- rs1 : x1<br> - rs2 : x7<br> - rd : x20<br> - rs2_val == 17870283321406128127<br> - rs1_val == 131072<br>                                 |[0x80000444]:aes64ks2<br> [0x80000448]:sd<br> |
|   7|[0x80003040]<br>0x04004000ffffbfff|- rs1 : x17<br> - rs2 : x23<br> - rd : x7<br> - rs2_val == 18158513697557839871<br> - rs1_val == 70368744177664<br>                        |[0x80000460]:aes64ks2<br> [0x80000464]:sd<br> |
|   8|[0x80003048]<br>0xc20000003fffffff|- rs1 : x18<br> - rs2 : x13<br> - rd : x14<br> - rs2_val == 18302628885633695743<br>                                                       |[0x8000047c]:aes64ks2<br> [0x80000480]:sd<br> |
|   9|[0x80003050]<br>0xfefffffe00000001|- rs1 : x12<br> - rs2 : x27<br> - rd : x16<br> - rs2_val == 18374686479671623679<br> - rs1_val == 18446744069414584319<br>                 |[0x8000049c]:aes64ks2<br> [0x800004a0]:sd<br> |
|  10|[0x80003058]<br>0xff7ffffd00000002|- rs1 : x30<br> - rs2 : x17<br> - rd : x31<br> - rs2_val == 18410715276690587647<br> - rs1_val == 18446744065119617023<br>                 |[0x800004bc]:aes64ks2<br> [0x800004c0]:sd<br> |
|  11|[0x80003060]<br>0x40400000bfffffff|- rs1 : x22<br> - rs2 : x4<br> - rd : x3<br> - rs2_val == 18428729675200069631<br> - rs1_val == 4611686018427387904<br>                    |[0x800004d8]:aes64ks2<br> [0x800004dc]:sd<br> |
|  12|[0x80003068]<br>0xffdfffff00000000|- rs1 : x9<br> - rs2 : x15<br> - rd : x5<br> - rs2_val == 18437736874454810623<br>                                                         |[0x800004f0]:aes64ks2<br> [0x800004f4]:sd<br> |
|  13|[0x80003070]<br>0xffefffff00000000|- rs1 : x27<br> - rs2 : x18<br> - rd : x29<br> - rs2_val == 18442240474082181119<br> - rs1_val == 18446744073709551487<br>                 |[0x80000508]:aes64ks2<br> [0x8000050c]:sd<br> |
|  14|[0x80003078]<br>0xfff7fdff00000200|- rs1 : x24<br> - rs2 : x12<br> - rd : x17<br> - rs2_val == 18444492273895866367<br> - rs1_val == 18446741874686296063<br>                 |[0x80000528]:aes64ks2<br> [0x8000052c]:sd<br> |
|  15|[0x80003080]<br>0x00440000ffbfffff|- rs1 : x21<br> - rs2 : x26<br> - rd : x10<br> - rs2_val == 18445618173802708991<br> - rs1_val == 18014398509481984<br>                    |[0x80000544]:aes64ks2<br> [0x80000548]:sd<br> |
|  16|[0x80003088]<br>0x00020000ffffffff|- rs1 : x0<br> - rs2 : x1<br> - rd : x12<br> - rs2_val == 18446181123756130303<br>                                                         |[0x8000055c]:aes64ks2<br> [0x80000560]:sd<br> |
|  17|[0x80003090]<br>0xfffeffff00000000|- rs1 : x15<br> - rs2 : x19<br> - rd : x25<br> - rs2_val == 18446462598732840959<br> - rs1_val == 18446744073709551614<br>                 |[0x80000574]:aes64ks2<br> [0x80000578]:sd<br> |
|  18|[0x80003098]<br>0xffff7fff00000000|- rs1 : x13<br> - rs2 : x6<br> - rd : x1<br> - rs2_val == 18446603336221196287<br> - rs1_val == 18446744073709289471<br>                   |[0x80000598]:aes64ks2<br> [0x8000059c]:sd<br> |
|  19|[0x800030a0]<br>0x00000000ffffbfff|- rs1 : x7<br> - rs2 : x2<br> - rd : x30<br> - rs2_val == 18446673704965373951<br>                                                         |[0x800005b4]:aes64ks2<br> [0x800005b8]:sd<br> |
|  20|[0x800030a8]<br>0x00002000ffffffff|- rs1 : x29<br> - rs2 : x5<br> - rd : x2<br> - rs2_val == 18446708889337462783<br> - rs1_val == 16<br>                                     |[0x800005cc]:aes64ks2<br> [0x800005d0]:sd<br> |
|  21|[0x800030b0]<br>0xffffefff00000000|- rs1 : x25<br> - rs2 : x20<br> - rd : x19<br> - rs2_val == 18446726481523507199<br>                                                       |[0x800005e8]:aes64ks2<br> [0x800005ec]:sd<br> |
|  22|[0x800030b8]<br>0x00004800ffffbfff|- rs1 : x26<br> - rs2 : x14<br> - rd : x4<br> - rs2_val == 18446735277616529407<br>                                                        |[0x80000604]:aes64ks2<br> [0x80000608]:sd<br> |
|  23|[0x800030c0]<br>0xfffefbff00010000|- rs1 : x19<br> - rs2 : x24<br> - rd : x23<br> - rs2_val == 18446739675663040511<br> - rs1_val == 18446462598732840959<br>                 |[0x80000624]:aes64ks2<br> [0x80000628]:sd<br> |
|  24|[0x800030c8]<br>0xfbfffdff04000000|- rs1 : x3<br> - rs2 : x16<br> - rd : x15<br> - rs2_val == 18446741874686296063<br> - rs1_val == 18158513697557839871<br>                  |[0x80000644]:aes64ks2<br> [0x80000648]:sd<br> |
|  25|[0x800030d0]<br>0xfffffeff00000000|- rs1 : x31<br> - rs2 : x11<br> - rd : x21<br> - rs2_val == 18446742974197923839<br> - rs1_val == 18446744073707454463<br>                 |[0x80000660]:aes64ks2<br> [0x80000664]:sd<br> |
|  26|[0x800030d8]<br>0x40000080bfffffff|- rs1 : x14<br> - rs2 : x21<br> - rd : x27<br> - rs2_val == 18446743523953737727<br>                                                       |[0x8000067c]:aes64ks2<br> [0x80000680]:sd<br> |
|  27|[0x800030e0]<br>0x00000040ffffffff|- rs1 : x5<br> - rs2 : x30<br> - rd : x18<br> - rs2_val == 18446743798831644671<br> - rs1_val == 8<br>                                     |[0x80000694]:aes64ks2<br> [0x80000698]:sd<br> |
|  28|[0x800030e8]<br>0xf7ffffdf08000000|- rs1 : x2<br> - rs2 : x29<br> - rd : x11<br> - rs2_val == 18446743936270598143<br> - rs1_val == 17870283321406128127<br>                  |[0x800006b4]:aes64ks2<br> [0x800006b8]:sd<br> |
|  29|[0x800030f0]<br>0x0000000000000000|- rs1 : x20<br> - rs2 : x10<br> - rd : x0<br> - rs2_val == 18446744004990074879<br>                                                        |[0x800006cc]:aes64ks2<br> [0x800006d0]:sd<br> |
|  30|[0x800030f8]<br>0x00080008fff7ffff|- rs1 : x16<br> - rs2 : x25<br> - rd : x26<br> - rs2_val == 18446744039349813247<br> - rs1_val == 2251799813685248<br>                     |[0x800006e8]:aes64ks2<br> [0x800006ec]:sd<br> |
|  31|[0x80003100]<br>0x00002004ffffdfff|- rs1 : x23<br> - rs2 : x3<br> - rd : x22<br> - rs2_val == 18446744056529682431<br> - rs1_val == 35184372088832<br>                        |[0x80000704]:aes64ks2<br> [0x80000708]:sd<br> |
|  32|[0x80003108]<br>0x01000002feffffff|- rs1 : x11<br> - rs2 : x31<br> - rd : x8<br> - rs2_val == 18446744065119617023<br> - rs1_val == 72057594037927936<br>                     |[0x80000720]:aes64ks2<br> [0x80000724]:sd<br> |
|  33|[0x80003110]<br>0xfffffffe00000000|- rs2_val == 18446744069414584319<br>                                                                                                      |[0x80000738]:aes64ks2<br> [0x8000073c]:sd<br> |
|  34|[0x80003118]<br>0x800000087ffffff7|- rs2_val == 18446744071562067967<br> - rs1_val == 34359738368<br>                                                                         |[0x8000075c]:aes64ks2<br> [0x80000760]:sd<br> |
|  35|[0x80003120]<br>0xbfffffff40000000|- rs2_val == 18446744072635809791<br>                                                                                                      |[0x80000774]:aes64ks2<br> [0x80000778]:sd<br> |
|  36|[0x80003128]<br>0xdfffffff20000000|- rs2_val == 18446744073172680703<br> - rs1_val == 18446744073709543423<br>                                                                |[0x8000078c]:aes64ks2<br> [0x80000790]:sd<br> |
|  37|[0x80003130]<br>0xefffff7f10000080|- rs2_val == 18446744073441116159<br> - rs1_val == 18446743523953737727<br>                                                                |[0x800007a8]:aes64ks2<br> [0x800007ac]:sd<br> |
|  38|[0x80003138]<br>0xf7fffffb08000004|- rs2_val == 18446744073575333887<br> - rs1_val == 18446744056529682431<br>                                                                |[0x800007c4]:aes64ks2<br> [0x800007c8]:sd<br> |
|  39|[0x80003140]<br>0xfb7fffff04800000|- rs2_val == 18446744073642442751<br> - rs1_val == 18410715276690587647<br>                                                                |[0x800007e0]:aes64ks2<br> [0x800007e4]:sd<br> |
|  40|[0x80003148]<br>0x02000000fdffffff|- rs2_val == 18446744073675997183<br>                                                                                                      |[0x800007f4]:aes64ks2<br> [0x800007f8]:sd<br> |
|  41|[0x80003150]<br>0xfcffffff03000000|- rs2_val == 18446744073692774399<br> - rs1_val == 18302628885633695743<br>                                                                |[0x80000810]:aes64ks2<br> [0x80000814]:sd<br> |
|  42|[0x80003158]<br>0x00800008ff7ffff7|- rs2_val == 18446744073701163007<br>                                                                                                      |[0x80000828]:aes64ks2<br> [0x8000082c]:sd<br> |
|  43|[0x80003160]<br>0x00400000ffbfffff|- rs2_val == 18446744073705357311<br> - rs1_val == 33554432<br>                                                                            |[0x8000083c]:aes64ks2<br> [0x80000840]:sd<br> |
|  44|[0x80003168]<br>0xffdffdff00200200|- rs2_val == 18446744073707454463<br>                                                                                                      |[0x80000858]:aes64ks2<br> [0x8000085c]:sd<br> |
|  45|[0x80003170]<br>0x00180000ffe7ffff|- rs2_val == 18446744073708503039<br>                                                                                                      |[0x80000870]:aes64ks2<br> [0x80000874]:sd<br> |
|  46|[0x80003178]<br>0xfff7ffff00080000|- rs2_val == 18446744073709027327<br>                                                                                                      |[0x80000884]:aes64ks2<br> [0x80000888]:sd<br> |
|  47|[0x80003180]<br>0xfffb7fff00048000|- rs2_val == 18446744073709289471<br> - rs1_val == 18446603336221196287<br>                                                                |[0x800008a0]:aes64ks2<br> [0x800008a4]:sd<br> |
|  48|[0x80003188]<br>0xfffdffff00020000|- rs2_val == 18446744073709420543<br> - rs1_val == 18446744071562067967<br>                                                                |[0x800008bc]:aes64ks2<br> [0x800008c0]:sd<br> |
|  49|[0x80003190]<br>0x00010000fffeffff|- rs2_val == 18446744073709486079<br>                                                                                                      |[0x800008d0]:aes64ks2<br> [0x800008d4]:sd<br> |
|  50|[0x80003198]<br>0x00008000ffff7fff|- rs2_val == 18446744073709518847<br>                                                                                                      |[0x800008e4]:aes64ks2<br> [0x800008e8]:sd<br> |
|  51|[0x800031a0]<br>0x00004000ffffbfff|- rs2_val == 18446744073709535231<br>                                                                                                      |[0x800008f8]:aes64ks2<br> [0x800008fc]:sd<br> |
|  52|[0x800031a8]<br>0xffffdfff00002000|- rs2_val == 18446744073709543423<br> - rs1_val == 18446744073709551103<br>                                                                |[0x8000090c]:aes64ks2<br> [0x80000910]:sd<br> |
|  53|[0x800031b0]<br>0x00001000ffffefff|- rs2_val == 18446744073709547519<br> - rs1_val == 128<br>                                                                                 |[0x80000920]:aes64ks2<br> [0x80000924]:sd<br> |
|  54|[0x800031b8]<br>0x00000c00fffff3ff|- rs2_val == 18446744073709549567<br> - rs1_val == 4398046511104<br>                                                                       |[0x80000938]:aes64ks2<br> [0x8000093c]:sd<br> |
|  55|[0x800031c0]<br>0x02000400fdfffbff|- rs2_val == 18446744073709550591<br> - rs1_val == 144115188075855872<br>                                                                  |[0x8000094c]:aes64ks2<br> [0x80000950]:sd<br> |
|  56|[0x800031c8]<br>0xfffffdff00000200|- rs2_val == 18446744073709551103<br>                                                                                                      |[0x80000960]:aes64ks2<br> [0x80000964]:sd<br> |
|  57|[0x800031d0]<br>0x00000100fffffeff|- rs2_val == 18446744073709551359<br>                                                                                                      |[0x80000970]:aes64ks2<br> [0x80000974]:sd<br> |
|  58|[0x800031d8]<br>0xffffff7f00000080|- rs2_val == 18446744073709551487<br>                                                                                                      |[0x80000980]:aes64ks2<br> [0x80000984]:sd<br> |
|  59|[0x800031e0]<br>0xffdfffbf00200040|- rs2_val == 18446744073709551551<br> - rs1_val == 18437736874454810623<br>                                                                |[0x80000998]:aes64ks2<br> [0x8000099c]:sd<br> |
|  60|[0x800031e8]<br>0x00000020ffffffdf|- rs2_val == 18446744073709551583<br> - rs1_val == 1073741824<br>                                                                          |[0x800009a8]:aes64ks2<br> [0x800009ac]:sd<br> |
|  61|[0x800031f0]<br>0xdfffffef20000010|- rs2_val == 18446744073709551599<br> - rs1_val == 16140901064495857663<br>                                                                |[0x800009c0]:aes64ks2<br> [0x800009c4]:sd<br> |
|  62|[0x800031f8]<br>0x00000008fffffff7|- rs2_val == 18446744073709551607<br> - rs1_val == 1<br>                                                                                   |[0x800009d0]:aes64ks2<br> [0x800009d4]:sd<br> |
|  63|[0x80003200]<br>0x10000004effffffb|- rs2_val == 18446744073709551611<br> - rs1_val == 1152921504606846976<br>                                                                 |[0x800009e4]:aes64ks2<br> [0x800009e8]:sd<br> |
|  64|[0x80003208]<br>0xffffffff00000000|- rs2_val == 18446744073709551613<br>                                                                                                      |[0x800009fc]:aes64ks2<br> [0x80000a00]:sd<br> |
|  65|[0x80003210]<br>0x00040001fffbfffe|- rs2_val == 18446744073709551614<br> - rs1_val == 1125899906842624<br>                                                                    |[0x80000a10]:aes64ks2<br> [0x80000a14]:sd<br> |
|  66|[0x80003218]<br>0x7ffffffb7fffffff|- rs1_val == 9223372036854775807<br> - rs2_val == 17179869184<br>                                                                          |[0x80000a2c]:aes64ks2<br> [0x80000a30]:sd<br> |
|  67|[0x80003220]<br>0x9fffffffbfffffff|- rs1_val == 13835058055282163711<br> - rs2_val == 2305843009213693952<br>                                                                 |[0x80000a48]:aes64ks2<br> [0x80000a4c]:sd<br> |
|  68|[0x80003228]<br>0xdfffffdfdfffffff|- rs2_val == 137438953472<br>                                                                                                              |[0x80000a64]:aes64ks2<br> [0x80000a68]:sd<br> |
|  69|[0x80003230]<br>0xeffffffe10000001|- rs1_val == 17293822569102704639<br>                                                                                                      |[0x80000a7c]:aes64ks2<br> [0x80000a80]:sd<br> |
|  70|[0x80003238]<br>0xf7ffffdff7ffffdf|- rs2_val == 32<br>                                                                                                                        |[0x80000a94]:aes64ks2<br> [0x80000a98]:sd<br> |
|  71|[0x80003248]<br>0xfefffffe01000000|- rs1_val == 18374686479671623679<br>                                                                                                      |[0x80000ad4]:aes64ks2<br> [0x80000ad8]:sd<br> |
|  72|[0x80003250]<br>0xff7fbfffff7fffff|- rs2_val == 70368744177664<br>                                                                                                            |[0x80000af0]:aes64ks2<br> [0x80000af4]:sd<br> |
|  73|[0x80003258]<br>0xffbfdfffffbfdfff|- rs1_val == 18428729675200069631<br> - rs2_val == 8192<br>                                                                                |[0x80000b08]:aes64ks2<br> [0x80000b0c]:sd<br> |
|  74|[0x80003260]<br>0xffeffff6ffeffff6|- rs1_val == 18442240474082181119<br>                                                                                                      |[0x80000b20]:aes64ks2<br> [0x80000b24]:sd<br> |
|  75|[0x80003268]<br>0xfef7ffff01080000|- rs1_val == 18444492273895866367<br>                                                                                                      |[0x80000b3c]:aes64ks2<br> [0x80000b40]:sd<br> |
|  76|[0x80003270]<br>0xfffbfffe00040000|- rs1_val == 18445618173802708991<br>                                                                                                      |[0x80000b5c]:aes64ks2<br> [0x80000b60]:sd<br> |
|  77|[0x80003278]<br>0xfffd7fff00028000|- rs1_val == 18446181123756130303<br>                                                                                                      |[0x80000b78]:aes64ks2<br> [0x80000b7c]:sd<br> |
|  78|[0x80003280]<br>0xffeefffffffeffff|- rs2_val == 4503599627370496<br>                                                                                                          |[0x80000b94]:aes64ks2<br> [0x80000b98]:sd<br> |
|  79|[0x80003288]<br>0xffffbffdffffbffd|- rs1_val == 18446673704965373951<br> - rs2_val == 2<br>                                                                                   |[0x80000bac]:aes64ks2<br> [0x80000bb0]:sd<br> |
|  80|[0x80003290]<br>0xffffddff00002000|- rs1_val == 18446708889337462783<br>                                                                                                      |[0x80000bcc]:aes64ks2<br> [0x80000bd0]:sd<br> |
|  81|[0x80003298]<br>0xfdffefffffffefff|- rs1_val == 18446726481523507199<br> - rs2_val == 144115188075855872<br>                                                                  |[0x80000be8]:aes64ks2<br> [0x80000bec]:sd<br> |
|  82|[0x800032a0]<br>0xf7fff7ff08000800|- rs1_val == 18446735277616529407<br>                                                                                                      |[0x80000c04]:aes64ks2<br> [0x80000c08]:sd<br> |
|  83|[0x800032a8]<br>0xffeffbff00100400|- rs1_val == 18446739675663040511<br>                                                                                                      |[0x80000c20]:aes64ks2<br> [0x80000c24]:sd<br> |
|  84|[0x800032b0]<br>0xeffffeff00000100|- rs1_val == 18446742974197923839<br>                                                                                                      |[0x80000c40]:aes64ks2<br> [0x80000c44]:sd<br> |
|  85|[0x800032c0]<br>0xffffffffffffffff|- rs1_val == 18446743798831644671<br> - rs2_val == 64<br>                                                                                  |[0x80000c74]:aes64ks2<br> [0x80000c78]:sd<br> |
|  86|[0x800032c8]<br>0xffbfffdfffffffdf|- rs1_val == 18446743936270598143<br> - rs2_val == 18014398509481984<br>                                                                   |[0x80000c90]:aes64ks2<br> [0x80000c94]:sd<br> |
|  87|[0x800032d0]<br>0xfffdffeffffdffef|- rs1_val == 18446744004990074879<br> - rs2_val == 131072<br>                                                                              |[0x80000ca8]:aes64ks2<br> [0x80000cac]:sd<br> |
|  88|[0x800032d8]<br>0xfff7fff7fffffff7|- rs1_val == 18446744039349813247<br> - rs2_val == 2251799813685248<br>                                                                    |[0x80000cc4]:aes64ks2<br> [0x80000cc8]:sd<br> |
|  89|[0x800032e8]<br>0xfffffeffffffffff|- rs1_val == 18446744072635809791<br> - rs2_val == 1099511627776<br>                                                                       |[0x80000cf4]:aes64ks2<br> [0x80000cf8]:sd<br> |
|  90|[0x800032f0]<br>0xfeffffff01000000|- rs1_val == 18446744073172680703<br>                                                                                                      |[0x80000d0c]:aes64ks2<br> [0x80000d10]:sd<br> |
|  91|[0x800032f8]<br>0xefffffffefffffff|- rs1_val == 18446744073441116159<br> - rs2_val == 268435456<br>                                                                           |[0x80000d20]:aes64ks2<br> [0x80000d24]:sd<br> |
|  92|[0x80003300]<br>0xfffffffcfffffffc|- rs1_val == 18446744073575333887<br>                                                                                                      |[0x80000d34]:aes64ks2<br> [0x80000d38]:sd<br> |
|  93|[0x80003308]<br>0xfffffbff00000000|- rs1_val == 18446744073642442751<br>                                                                                                      |[0x80000d50]:aes64ks2<br> [0x80000d54]:sd<br> |
|  94|[0x80003310]<br>0xfffffffefffffffe|- rs1_val == 18446744073675997183<br> - rs2_val == 1<br>                                                                                   |[0x80000d64]:aes64ks2<br> [0x80000d68]:sd<br> |
|  95|[0x80003318]<br>0xfffffffe00000000|- rs1_val == 18446744073692774399<br>                                                                                                      |[0x80000d80]:aes64ks2<br> [0x80000d84]:sd<br> |
|  96|[0x80003320]<br>0xfffffffd00000002|- rs1_val == 18446744073701163007<br>                                                                                                      |[0x80000d94]:aes64ks2<br> [0x80000d98]:sd<br> |
|  97|[0x80003328]<br>0x7fffffff00000000|- rs2_val == 9223372036854775807<br> - rs1_val == 18446744073705357311<br>                                                                 |[0x80000db0]:aes64ks2<br> [0x80000db4]:sd<br> |
|  98|[0x80003330]<br>0xffffffedffffffed|- rs1_val == 18446744073708503039<br>                                                                                                      |[0x80000dc4]:aes64ks2<br> [0x80000dc8]:sd<br> |
|  99|[0x80003338]<br>0xffff7fffffffffff|- rs1_val == 18446744073709027327<br> - rs2_val == 140737488355328<br>                                                                     |[0x80000ddc]:aes64ks2<br> [0x80000de0]:sd<br> |
| 100|[0x80003340]<br>0x0c098d6d9507f887|- rs1_val == 0x6af29145404fd8ed and rs2_val == 0x990e75eafff569c2 #nosat<br>                                                               |[0x80000e1c]:aes64ks2<br> [0x80000e20]:sd<br> |
| 101|[0x80003348]<br>0x9f6fba6d196460c0|- rs1_val == 0x6d23c0488a6019c1 and rs2_val == 0x860bdaad7447a088 #nosat<br>                                                               |[0x80000e64]:aes64ks2<br> [0x80000e68]:sd<br> |
| 102|[0x80003350]<br>0xc22382d6a4c9610f|- rs1_val == 0x1f7d946f17168ab3 and rs2_val == 0x66eae3d9bbb4f560 #nosat<br>                                                               |[0x80000eac]:aes64ks2<br> [0x80000eb0]:sd<br> |
| 103|[0x80003358]<br>0xdf741db3c752b5b7|- rs1_val == 0xef1d54db32b81f27 and rs2_val == 0x1826a804284fe16c #nosat<br>                                                               |[0x80000ef4]:aes64ks2<br> [0x80000ef8]:sd<br> |
| 104|[0x80003360]<br>0xee51993ec76e065e|- rs1_val == 0xb694de26ad9e5431 and rs2_val == 0x293f9f6071fad878 #nosat<br>                                                               |[0x80000f3c]:aes64ks2<br> [0x80000f40]:sd<br> |
| 105|[0x80003368]<br>0x6d65160077c4a8eb|- rs1_val == 0x987daa20b858e304 and rs2_val == 0x1aa1beebefb902cb #nosat<br>                                                               |[0x80000f84]:aes64ks2<br> [0x80000f88]:sd<br> |
| 106|[0x80003370]<br>0x2db16bfeabc99e1d|- rs1_val == 0x79bb7c341d3110bc and rs2_val == 0x8678f5e3d272e229 #nosat<br>                                                               |[0x80000fcc]:aes64ks2<br> [0x80000fd0]:sd<br> |
| 107|[0x80003378]<br>0x28ef976f739c9bc2|- rs1_val == 0xe2eaf4a09869be8c and rs2_val == 0x5b730cad91766f62 #nosat<br>                                                               |[0x80001014]:aes64ks2<br> [0x80001018]:sd<br> |
| 108|[0x80003380]<br>0xc61df25874364d26|- rs1_val == 0xc0fe15dd0df9564b and rs2_val == 0xb22bbf7eb4c858fb #nosat<br>                                                               |[0x8000105c]:aes64ks2<br> [0x80001060]:sd<br> |
| 109|[0x80003388]<br>0xce3559a79d933776|- rs1_val == 0x4113ee60952acffe and rs2_val == 0x53a66ed1dc80d916 #nosat<br>                                                               |[0x800010a4]:aes64ks2<br> [0x800010a8]:sd<br> |
| 110|[0x80003390]<br>0x42abce97f452bef8|- rs1_val == 0x40a5ff526f38a9c7 and rs2_val == 0xb6f9706fb4f741aa #nosat<br>                                                               |[0x800010ec]:aes64ks2<br> [0x800010f0]:sd<br> |
| 111|[0x80003398]<br>0x4460142b94367c85|- rs1_val == 0x9bedfe390d6ddd9d and rs2_val == 0xd05668ae0fdb82bc #nosat<br>                                                               |[0x80001134]:aes64ks2<br> [0x80001138]:sd<br> |
| 112|[0x800033a0]<br>0x94d1cc383eba7e85|- rs1_val == 0xd75739f82ac177c6 and rs2_val == 0xaa6bb2bde9ed477d #nosat<br>                                                               |[0x8000117c]:aes64ks2<br> [0x80001180]:sd<br> |
| 113|[0x800033a8]<br>0x233d131b0aa128d4|- rs1_val == 0x9a4e9ef10171f4df and rs2_val == 0x299c3bcf90efb625 #nosat<br>                                                               |[0x800011c4]:aes64ks2<br> [0x800011c8]:sd<br> |
| 114|[0x800033b0]<br>0x6ddceb70721878ba|- rs1_val == 0xd169a3f8cad5e297 and rs2_val == 0x1fc493caa371db42 #nosat<br>                                                               |[0x8000120c]:aes64ks2<br> [0x80001210]:sd<br> |
| 115|[0x800033b8]<br>0x46559b36b2969831|- rs1_val == 0xd5b9fe5cf69bdcf3 and rs2_val == 0xf4c30307672f666d #nosat<br>                                                               |[0x80001254]:aes64ks2<br> [0x80001258]:sd<br> |
| 116|[0x800033c0]<br>0x1a78e24aba2e7f3c|- rs1_val == 0xe4921bf73047c198 and rs2_val == 0xa0569d765ebc64cb #nosat<br>                                                               |[0x8000129c]:aes64ks2<br> [0x800012a0]:sd<br> |
| 117|[0x800033c8]<br>0x2494dd83093b4744|- rs1_val == 0xfcc1b543c49cd65b and rs2_val == 0x2daf9ac7f5faf207 #nosat<br>                                                               |[0x800012e4]:aes64ks2<br> [0x800012e8]:sd<br> |
| 118|[0x800033d0]<br>0x8545ddf0b11cf4be|- rs1_val == 0x436f40f274b8de87 and rs2_val == 0x3459294ef273b44c #nosat<br>                                                               |[0x8000132c]:aes64ks2<br> [0x80001330]:sd<br> |
| 119|[0x800033d8]<br>0xfeffffffffffffff|- rs2_val == 72057594037927936<br>                                                                                                         |[0x80001344]:aes64ks2<br> [0x80001348]:sd<br> |
| 120|[0x800033e0]<br>0xffbfffff00000000|- rs1_val == 18446744073709420543<br>                                                                                                      |[0x80001360]:aes64ks2<br> [0x80001364]:sd<br> |
| 121|[0x800033e8]<br>0xfffffeff00000000|- rs1_val == 18446744073709486079<br>                                                                                                      |[0x8000137c]:aes64ks2<br> [0x80001380]:sd<br> |
| 122|[0x800033f0]<br>0xfffffff700000008|- rs1_val == 18446744073709518847<br>                                                                                                      |[0x80001390]:aes64ks2<br> [0x80001394]:sd<br> |
| 123|[0x800033f8]<br>0xfdffffff02000000|- rs1_val == 18446744073709535231<br>                                                                                                      |[0x800013a8]:aes64ks2<br> [0x800013ac]:sd<br> |
| 124|[0x80003400]<br>0xefffffffffffffff|- rs1_val == 18446744073709547519<br> - rs2_val == 1152921504606846976<br>                                                                 |[0x800013c0]:aes64ks2<br> [0x800013c4]:sd<br> |
| 125|[0x80003408]<br>0xffffffffaaaaaaaa|- rs1_val == 18446744073709549567<br>                                                                                                      |[0x800013f0]:aes64ks2<br> [0x800013f4]:sd<br> |
| 126|[0x80003410]<br>0xfffffffd00000000|- rs1_val == 18446744073709550591<br>                                                                                                      |[0x80001408]:aes64ks2<br> [0x8000140c]:sd<br> |
| 127|[0x80003420]<br>0xffbfffffffbfffff|- rs1_val == 18446744073709551359<br> - rs2_val == 4194304<br>                                                                             |[0x8000142c]:aes64ks2<br> [0x80001430]:sd<br> |
| 128|[0x80003428]<br>0xfffdffff00000000|- rs1_val == 18446744073709551551<br>                                                                                                      |[0x80001444]:aes64ks2<br> [0x80001448]:sd<br> |
| 129|[0x80003430]<br>0xfffffffdfffffffd|- rs1_val == 18446744073709551583<br>                                                                                                      |[0x80001454]:aes64ks2<br> [0x80001458]:sd<br> |
| 130|[0x80003438]<br>0xffffffdfffffffff|- rs1_val == 18446744073709551599<br>                                                                                                      |[0x80001468]:aes64ks2<br> [0x8000146c]:sd<br> |
| 131|[0x80003440]<br>0xffbfffffffffffff|- rs1_val == 18446744073709551607<br>                                                                                                      |[0x8000147c]:aes64ks2<br> [0x80001480]:sd<br> |
| 132|[0x80003450]<br>0xffdfffffffdfffff|- rs1_val == 18446744073709551613<br> - rs2_val == 2097152<br>                                                                             |[0x800014a0]:aes64ks2<br> [0x800014a4]:sd<br> |
| 133|[0x80003458]<br>0x7fffffdfffffffdf|- rs2_val == 9223372036854775808<br>                                                                                                       |[0x800014bc]:aes64ks2<br> [0x800014c0]:sd<br> |
| 134|[0x80003460]<br>0x1555555555555555|- rs2_val == 4611686018427387904<br>                                                                                                       |[0x800014ec]:aes64ks2<br> [0x800014f0]:sd<br> |
| 135|[0x80003468]<br>0x0000000008000000|- rs2_val == 576460752303423488<br> - rs1_val == 576460752303423488<br>                                                                    |[0x80001504]:aes64ks2<br> [0x80001508]:sd<br> |
| 136|[0x80003470]<br>0x0400000000000000|- rs2_val == 288230376151711744<br>                                                                                                        |[0x80001518]:aes64ks2<br> [0x8000151c]:sd<br> |
| 137|[0x80003478]<br>0xff3fffffffbfffff|- rs2_val == 36028797018963968<br>                                                                                                         |[0x80001534]:aes64ks2<br> [0x80001538]:sd<br> |
| 138|[0x80003480]<br>0x0000000000200000|- rs2_val == 9007199254740992<br> - rs1_val == 9007199254740992<br>                                                                        |[0x8000154c]:aes64ks2<br> [0x80001550]:sd<br> |
| 139|[0x80003488]<br>0x000c000000080000|- rs2_val == 1125899906842624<br>                                                                                                          |[0x80001564]:aes64ks2<br> [0x80001568]:sd<br> |
| 140|[0x80003490]<br>0xfffdffffffffffff|- rs2_val == 562949953421312<br>                                                                                                           |[0x8000157c]:aes64ks2<br> [0x80001580]:sd<br> |
| 141|[0x80003498]<br>0xfffeffffffffffff|- rs2_val == 281474976710656<br>                                                                                                           |[0x80001590]:aes64ks2<br> [0x80001594]:sd<br> |
| 142|[0x800034a0]<br>0xffffd7fffffff7ff|- rs2_val == 35184372088832<br>                                                                                                            |[0x800015ac]:aes64ks2<br> [0x800015b0]:sd<br> |
| 143|[0x800034a8]<br>0x0020100000200000|- rs2_val == 17592186044416<br>                                                                                                            |[0x800015c4]:aes64ks2<br> [0x800015c8]:sd<br> |
| 144|[0x800034b0]<br>0xfffff7ffffffffff|- rs2_val == 8796093022208<br>                                                                                                             |[0x800015e0]:aes64ks2<br> [0x800015e4]:sd<br> |
| 145|[0x800034b8]<br>0x2000040020000000|- rs2_val == 4398046511104<br> - rs1_val == 2305843009213693952<br>                                                                        |[0x800015f8]:aes64ks2<br> [0x800015fc]:sd<br> |
| 146|[0x800034c0]<br>0xfffffdffffffffff|- rs2_val == 2199023255552<br>                                                                                                             |[0x80001610]:aes64ks2<br> [0x80001614]:sd<br> |
| 147|[0x800034c8]<br>0x0000008000000000|- rs2_val == 549755813888<br>                                                                                                              |[0x80001624]:aes64ks2<br> [0x80001628]:sd<br> |
| 148|[0x800034d0]<br>0x0000404000004000|- rs2_val == 274877906944<br>                                                                                                              |[0x8000163c]:aes64ks2<br> [0x80001640]:sd<br> |
| 149|[0x800034d8]<br>0xffffffefffffffff|- rs2_val == 68719476736<br>                                                                                                               |[0x80001650]:aes64ks2<br> [0x80001654]:sd<br> |
| 150|[0x800034e0]<br>0x0000000800000000|- rs2_val == 34359738368<br> - rs1_val == 1048576<br>                                                                                      |[0x80001664]:aes64ks2<br> [0x80001668]:sd<br> |
| 151|[0x800034e8]<br>0x0000200200002000|- rs2_val == 8589934592<br>                                                                                                                |[0x8000167c]:aes64ks2<br> [0x80001680]:sd<br> |
| 152|[0x800034f0]<br>0x0000000100000000|- rs2_val == 4294967296<br>                                                                                                                |[0x80001690]:aes64ks2<br> [0x80001694]:sd<br> |
| 153|[0x800034f8]<br>0x7fffffff7fffffff|- rs2_val == 2147483648<br>                                                                                                                |[0x800016a4]:aes64ks2<br> [0x800016a8]:sd<br> |
| 154|[0x80003500]<br>0x4000000040000000|- rs2_val == 1073741824<br>                                                                                                                |[0x800016b4]:aes64ks2<br> [0x800016b8]:sd<br> |
| 155|[0x80003508]<br>0xdffffff7dffffff7|- rs2_val == 536870912<br>                                                                                                                 |[0x800016cc]:aes64ks2<br> [0x800016d0]:sd<br> |
| 156|[0x80003510]<br>0x0800000008000000|- rs2_val == 134217728<br>                                                                                                                 |[0x800016dc]:aes64ks2<br> [0x800016e0]:sd<br> |
| 157|[0x80003518]<br>0x4400000044000000|- rs2_val == 67108864<br>                                                                                                                  |[0x800016f0]:aes64ks2<br> [0x800016f4]:sd<br> |
| 158|[0x80003520]<br>0xfdfffdfffdfffdff|- rs2_val == 33554432<br>                                                                                                                  |[0x80001708]:aes64ks2<br> [0x8000170c]:sd<br> |
| 159|[0x80003528]<br>0x0100000001000000|- rs2_val == 16777216<br> - rs1_val == 65536<br>                                                                                           |[0x80001718]:aes64ks2<br> [0x8000171c]:sd<br> |
| 160|[0x80003530]<br>0x8080000080800000|- rs2_val == 8388608<br> - rs1_val == 9223372036854775808<br>                                                                              |[0x8000172c]:aes64ks2<br> [0x80001730]:sd<br> |
| 161|[0x80003538]<br>0xffefffffffefffff|- rs2_val == 1048576<br>                                                                                                                   |[0x8000173c]:aes64ks2<br> [0x80001740]:sd<br> |
| 162|[0x80003540]<br>0xfff7fffefff7fffe|- rs2_val == 524288<br>                                                                                                                    |[0x80001754]:aes64ks2<br> [0x80001758]:sd<br> |
| 163|[0x80003548]<br>0xfffbdffffffbdfff|- rs2_val == 262144<br>                                                                                                                    |[0x8000176c]:aes64ks2<br> [0x80001770]:sd<br> |
| 164|[0x80003550]<br>0xfffefffffffeffff|- rs2_val == 65536<br>                                                                                                                     |[0x8000177c]:aes64ks2<br> [0x80001780]:sd<br> |
| 165|[0x80003558]<br>0xffff7fffffff7fff|- rs2_val == 32768<br>                                                                                                                     |[0x8000178c]:aes64ks2<br> [0x80001790]:sd<br> |
| 166|[0x80003560]<br>0xffffffffffffffff|- rs2_val == 16384<br>                                                                                                                     |[0x800017a4]:aes64ks2<br> [0x800017a8]:sd<br> |
| 167|[0x80003568]<br>0xffffeffbffffeffb|- rs2_val == 4096<br>                                                                                                                      |[0x800017bc]:aes64ks2<br> [0x800017c0]:sd<br> |
| 168|[0x80003570]<br>0xfffff7fffffff7ff|- rs2_val == 2048<br>                                                                                                                      |[0x800017d0]:aes64ks2<br> [0x800017d4]:sd<br> |
| 169|[0x80003578]<br>0xfffffbfffffffbff|- rs2_val == 1024<br>                                                                                                                      |[0x800017e0]:aes64ks2<br> [0x800017e4]:sd<br> |
| 170|[0x80003580]<br>0xaaaaa8aaaaaaa8aa|- rs2_val == 512<br>                                                                                                                       |[0x8000180c]:aes64ks2<br> [0x80001810]:sd<br> |
| 171|[0x80003588]<br>0xfffffcfffffffcff|- rs2_val == 256<br>                                                                                                                       |[0x80001824]:aes64ks2<br> [0x80001828]:sd<br> |
| 172|[0x80003590]<br>0xffffff7fffffff7f|- rs2_val == 128<br>                                                                                                                       |[0x80001834]:aes64ks2<br> [0x80001838]:sd<br> |
| 173|[0x80003598]<br>0x0000001000000010|- rs2_val == 16<br> - rs1_val == 268435456<br>                                                                                             |[0x80001844]:aes64ks2<br> [0x80001848]:sd<br> |
| 174|[0x800035a0]<br>0x8000000880000008|- rs2_val == 8<br>                                                                                                                         |[0x80001858]:aes64ks2<br> [0x8000185c]:sd<br> |
| 175|[0x800035a8]<br>0x0000001400000014|- rs2_val == 4<br> - rs1_val == 68719476736<br>                                                                                            |[0x8000186c]:aes64ks2<br> [0x80001870]:sd<br> |
| 176|[0x800035b0]<br>0x04000040fbffffff|- rs1_val == 288230376151711744<br>                                                                                                        |[0x80001888]:aes64ks2<br> [0x8000188c]:sd<br> |
| 177|[0x800035b8]<br>0x8080000080800000|- rs1_val == 36028797018963968<br>                                                                                                         |[0x800018a0]:aes64ks2<br> [0x800018a4]:sd<br> |
| 178|[0x800035c0]<br>0x40100000bfefffff|- rs1_val == 4503599627370496<br>                                                                                                          |[0x800018b8]:aes64ks2<br> [0x800018bc]:sd<br> |
| 179|[0x800035c8]<br>0x00020800fffdffff|- rs1_val == 562949953421312<br>                                                                                                           |[0x800018d4]:aes64ks2<br> [0x800018d8]:sd<br> |
| 180|[0x800035d0]<br>0x00008009ffff7ff6|- rs1_val == 140737488355328<br>                                                                                                           |[0x800018e8]:aes64ks2<br> [0x800018ec]:sd<br> |
| 181|[0x800035d8]<br>0x0000100055554555|- rs1_val == 17592186044416<br>                                                                                                            |[0x80001918]:aes64ks2<br> [0x8000191c]:sd<br> |
| 182|[0x800035e0]<br>0x0000080e0000080e|- rs1_val == 8796093022208<br>                                                                                                             |[0x8000192c]:aes64ks2<br> [0x80001930]:sd<br> |
| 183|[0x800035e8]<br>0x0000020400000204|- rs1_val == 2199023255552<br>                                                                                                             |[0x80001940]:aes64ks2<br> [0x80001944]:sd<br> |
| 184|[0x800035f0]<br>0x20000100fffffeff|- rs1_val == 1099511627776<br>                                                                                                             |[0x8000195c]:aes64ks2<br> [0x80001960]:sd<br> |
| 185|[0x800035f8]<br>0x00000085ffffff7a|- rs1_val == 549755813888<br>                                                                                                              |[0x80001970]:aes64ks2<br> [0x80001974]:sd<br> |
| 186|[0x80003600]<br>0x00000049ffffffb6|- rs1_val == 274877906944<br>                                                                                                              |[0x80001984]:aes64ks2<br> [0x80001988]:sd<br> |
| 187|[0x80003608]<br>0x0000002000000020|- rs1_val == 137438953472<br>                                                                                                              |[0x80001998]:aes64ks2<br> [0x8000199c]:sd<br> |
| 188|[0x80003610]<br>0x0040000400400004|- rs1_val == 17179869184<br>                                                                                                               |[0x800019ac]:aes64ks2<br> [0x800019b0]:sd<br> |
| 189|[0x80003618]<br>0x0000080200000802|- rs1_val == 8589934592<br>                                                                                                                |[0x800019c4]:aes64ks2<br> [0x800019c8]:sd<br> |
| 190|[0x80003620]<br>0x0000001100000011|- rs1_val == 4294967296<br>                                                                                                                |[0x800019d8]:aes64ks2<br> [0x800019dc]:sd<br> |
| 191|[0x80003628]<br>0x00000010ffffffef|- rs1_val == 2147483648<br>                                                                                                                |[0x800019ec]:aes64ks2<br> [0x800019f0]:sd<br> |
| 192|[0x80003630]<br>0x0000080000000000|- rs1_val == 536870912<br>                                                                                                                 |[0x80001a00]:aes64ks2<br> [0x80001a04]:sd<br> |
| 193|[0x80003638]<br>0x00080000fff7ffff|- rs1_val == 134217728<br>                                                                                                                 |[0x80001a14]:aes64ks2<br> [0x80001a18]:sd<br> |
| 194|[0x80003640]<br>0x0000000a0000000a|- rs1_val == 67108864<br>                                                                                                                  |[0x80001a24]:aes64ks2<br> [0x80001a28]:sd<br> |
| 195|[0x80003648]<br>0x01000000ffffffff|- rs1_val == 16777216<br>                                                                                                                  |[0x80001a3c]:aes64ks2<br> [0x80001a40]:sd<br> |
| 196|[0x80003650]<br>0x00040000ffffffff|- rs1_val == 8388608<br>                                                                                                                   |[0x80001a54]:aes64ks2<br> [0x80001a58]:sd<br> |
| 197|[0x80003658]<br>0x0000002000000020|- rs1_val == 4194304<br>                                                                                                                   |[0x80001a64]:aes64ks2<br> [0x80001a68]:sd<br> |
| 198|[0x80003660]<br>0x00000080ffffff7f|- rs1_val == 2097152<br>                                                                                                                   |[0x80001a74]:aes64ks2<br> [0x80001a78]:sd<br> |
| 199|[0x80003668]<br>0x02000000fdffffff|- rs1_val == 524288<br>                                                                                                                    |[0x80001a88]:aes64ks2<br> [0x80001a8c]:sd<br> |
| 200|[0x80003670]<br>0x00000010ffffffef|- rs1_val == 262144<br>                                                                                                                    |[0x80001a98]:aes64ks2<br> [0x80001a9c]:sd<br> |
| 201|[0x80003678]<br>0x00000004ffffffff|- rs1_val == 32768<br>                                                                                                                     |[0x80001ab0]:aes64ks2<br> [0x80001ab4]:sd<br> |
| 202|[0x80003680]<br>0x00000800fffff7ff|- rs1_val == 8192<br>                                                                                                                      |[0x80001ac4]:aes64ks2<br> [0x80001ac8]:sd<br> |
| 203|[0x80003688]<br>0x0400000004000000|- rs1_val == 4096<br>                                                                                                                      |[0x80001ad4]:aes64ks2<br> [0x80001ad8]:sd<br> |
| 204|[0x80003690]<br>0x0000000500000005|- rs1_val == 2048<br>                                                                                                                      |[0x80001ae8]:aes64ks2<br> [0x80001aec]:sd<br> |
| 205|[0x80003698]<br>0x00400000ffbfffff|- rs1_val == 1024<br>                                                                                                                      |[0x80001afc]:aes64ks2<br> [0x80001b00]:sd<br> |
| 206|[0x800036a0]<br>0x00000000ffffffff|- rs1_val == 512<br>                                                                                                                       |[0x80001b0c]:aes64ks2<br> [0x80001b10]:sd<br> |
| 207|[0x800036a8]<br>0x0000000100000000|- rs1_val == 256<br>                                                                                                                       |[0x80001b20]:aes64ks2<br> [0x80001b24]:sd<br> |
| 208|[0x800036b0]<br>0x00000100fffffeff|- rs1_val == 64<br>                                                                                                                        |[0x80001b30]:aes64ks2<br> [0x80001b34]:sd<br> |
| 209|[0x800036b8]<br>0x4000000040000000|- rs1_val == 32<br>                                                                                                                        |[0x80001b40]:aes64ks2<br> [0x80001b44]:sd<br> |
| 210|[0x800036c0]<br>0x40000000bfffffff|- rs1_val == 4<br>                                                                                                                         |[0x80001b54]:aes64ks2<br> [0x80001b58]:sd<br> |
| 211|[0x800036c8]<br>0x0010000000000000|- rs1_val == 2<br>                                                                                                                         |[0x80001b68]:aes64ks2<br> [0x80001b6c]:sd<br> |
| 212|[0x800036d0]<br>0x43527ea2860068c2|- rs1_val == 0x75a3adb3254a9493 and rs2_val == 0xc5521660f3a3c571 #nosat<br>                                                               |[0x80001bb0]:aes64ks2<br> [0x80001bb4]:sd<br> |
| 213|[0x800036d8]<br>0xbfffffff00000000|- rs2_val == 13835058055282163711<br>                                                                                                      |[0x80001bc8]:aes64ks2<br> [0x80001bcc]:sd<br> |
